[haiku-development] Re: gcc 4.3.x problems with cross build tools

  • From: "Paulo Matias" <syscoder@xxxxxxxxx>
  • To: haiku-development@xxxxxxxxxxxxx
  • Date: Sat, 9 Aug 2008 10:36:22 -0300

Hi,

> I don't have much time this morning as I'm leaving in a few minutes,
> but I wanted to point you to a (non-english) blog someone put together
> explaining how they were able to compile the tools:
>
> http://matias.archlinux-br.org/archives/63
>

I'm the owner of this blog. Let me explain in English what I'm saying there.

GCC 4.3.x generates a (perhaps meaningless) warning when building gas.
But, by default, warnings are being treated as errors, and building
fails. This can be solved by applying the following patch:


Index: build/scripts/build_cross_tools_gcc4
===================================================================
--- build/scripts/build_cross_tools_gcc4        (revisão 26896)
+++ build/scripts/build_cross_tools_gcc4        (cópia de trabalho)
@@ -81,7 +81,7 @@
 cd $binutilsObjDir
 CFLAGS="-O2" CXXFLAGS="-O2" $binutilsSourceDir/configure \
        --prefix=$installDir --target=$haikuMachine --disable-nls \
-       --disable-shared || exit 1
+       --disable-shared --disable-werror || exit 1
 $make || exit 1
 $make install || exit 1


Best regards,

Paulo Matias

Other related posts: